Package Details: shutter 0.94.3-1

Git Clone URL: https://aur.archlinux.org/shutter.git (read-only, click to copy)
Package Base: shutter
Description: A featureful screenshot tool (formerly gscrot)
Upstream URL: https://shutter-project.org/
Licenses: GPL3
Submitter: City-busz
Maintainer: PhotonX
Last Packager: PhotonX
Votes: 92
Popularity: 0.83
First Submitted: 2017-01-24 12:16
Last Updated: 2020-06-26 13:48

Required by (0)

Sources (1)

Pinned Comments

Ralf_Mardorf commented on 2017-09-03 13:25

Follow the announcement to "get a list of affected packages":

[rocketmouse@archlinux ~]$ pacman -Qqo '/usr/lib/perl5/vendor_perl'
gnome-perl
gnome-vfs-perl
gnomecanvas-perl
perl-gnome2-wnck
perl-goo-canvas
perl-gtk2-imageview
perl-gtk2-unique

Check dependencies:

[rocketmouse@archlinux ~]$ pacman -Qi gnome-perl | grep Depends\ On
Depends On : gnomecanvas-perl gnome-vfs-perl libgnomeui perl

Proper would be to check build dependencies.

Build after increasing the pkgrel of the PKGBUILDs:

[rocketmouse@archlinux ~]$ yaourt -S gnomecanvas-perl gnome-vfs-perl
[snip]
[rocketmouse@archlinux ~]$ yaourt -S gnome-perl perl-gnome2-wnck perl-goo-canvas perl-gtk2-imageview perl-gtk2-unique
[snip]

Then launch shutter:

[rocketmouse@archlinux ~]$ shutter >/dev/null 2>&1

Take a screenshot and edit the screenshot.

mpuzirew commented on 2017-02-03 17:14

Build fails on last update. It seems like error applying fix-unicode.patch

Building paused asking me to specify file to patch. I can't fix this mannually, because I'm not sure what file path I should enter there.

The output was the folllowing:

Проверка файлов source с использованием sha512sums...
shutter-0.93.1.tar.gz ... Готово
CVE-2015-0854.patch ... Готово
fix-dropbox.patch ... Готово
fix-unicode.patch ... Готово
fix-second-instance-crash.patch ... Готово
fix-imgur.patch ... Готово
==> Распаковка исходных файлов...
-> Распаковка 'shutter-0.93.1.tar.gz' с помощью bsdtar
==> Запускается prepare()...
patching file share/shutter/resources/modules/Shutter/App/HelperFunctions.pm
patching file share/shutter/resources/system/upload_plugins/upload/Dropbox.pm
can't find file to patch at input line 20
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|From: Boyuan Yang <073plan@gmail.com>
|Date: Mon, 5 Dec 2016 16:21:51 +0800
|Subject: Force utf8 for retrieved window name from Gtk2.
|
|Transform the window name retrieved from Gtk2 to utf8
|to prevent messy encoding problem. Otherwise latin-1
|would be used and cause mess.
|
|This should work on most contemporary systems.
|
|Signed-off-by: Boyuan Yang <073plan@gmail.com>
|---
| bin/shutter | 7 ++++++-
| 1 file changed, 6 insertions(+), 1 deletion(-)
|
|diff --git a/bin/shutter b/bin/shutter
|index a0495d4..38eeedd 100755
|--- a/bin/shutter
|+++ b/bin/shutter
--------------------------
File to patch:

PhotonX commented on 2017-02-02 22:58

gnome-vfs is provided by gnome-vfs-smb. gnome-vfs has been removed from the official repositories and I didn't reupload it to the AUR because it is already provided by gnome-vfs-smb. I know that several people have a problem with this who are using AUR helpers like pacaur but I don't know what to do about it. Everything is fine if you use yaourt or makepkg+pacman. I asked the developer of pacaur what to do here: https://aur.archlinux.org/packages/gnome-perl/#news

Tazmain commented on 2017-02-02 22:36

I am using pacaur and also getting the gnome-vfs dependency error. I use to have a gnome-vfs package installed. But that no longer exists. pacaur cannot find a gnome-vfs package since it's called gnome-vfs-nosmb.

Kayshi commented on 2017-01-31 14:22

@PhotonX okay, gonna try to recreate what happend to me when I get VMWare Player working

PhotonX commented on 2017-01-29 15:12

@Kayshi: Please post the errors if you want to pursue this problem. You might also want to comment about it at gnome-vfs-nosmb's page.

Kayshi commented on 2017-01-29 14:07

@PhotonX I'm using packer and I had to install gnome-vsf-nosmb's dependencies manually because I was getting some unknown errors

PhotonX commented on 2017-01-28 19:33

gnome-vfs should be provided by gnome-vfs-nosmb: https://aur.archlinux.org/packages/gnome-vfs-nosmb/ If it doesn't work for you, which AUR helper are you using?

Kayshi commented on 2017-01-28 19:13

can't install this package, getting "Dependency `gnome-vfs' of `shutter' does not exist."

PhotonX commented on 2017-01-28 17:47

@Haron_Prime: Thanks for the hint, I was playing around with the dependencies locally and forgot to revert the changes. Fixed.

Haron_Prime commented on 2017-01-28 17:36

After update shutter package gnome-perl indicates no longer necessary.
However, it is not.
Trying to run ends with the following errors:

Use of the encoding pragma is deprecated at /bin/shutter line 30.
Can't locate Gnome2.pm in @INC (you may need to install the Gnome2 module) (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /bin/shutter line 35.
BEGIN failed--compilation aborted at /bin/shutter line 35.

The shutter does not start.
Recovery package gnome-perl problem is solved.